/***************************************************************************
 *   Copyright (C) 2010 by Consciousness								   *
 *   muwee@gala.net														   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef FORM1_H
#define FORM1_H
#include <QtGui/QtGui>
#include <QSvgRenderer>
#include <kcmodule.h>
#include <kauth.h>
#include <QCommonStyle>

#include "ui_form.h"

using namespace KAuth;

class form1 : public KCModule, public Ui::form
{
Q_OBJECT
public:
	form1( QWidget * parent = 0, const QVariantList& = QVariantList() );
	void load();
	void save();
	void defaults();
private slots:
	void AboutReleased();
	void CFReleased();
	void com1Ch();
	void com2Ch();
	void com3Ch();
	QString fontStyle(int);
	QString fontWeight(int);
	void fontNameUpdate();
	void styleNameUpdate();
	void iconsNameUpdate();
	void fromSvg(QString,QString);
	void sudoSymlink();
	
private:
	QFile file, varfile, index;
	QStringList filesel, hilesel, colors;
	QPalette pal;
	QDir dir, dirqt;
	int i,j, fsz, r,g,b, p, state, x, z, c1,c2, ms;
	QString varstr, fstr, fst, fw, prog, kdehome, line, curText, chtime, time, newtime,version, fs;
	QString currentStyleName,currentIconsName;
	QProcess proc;
	bool ok, fileOpen, timeOn,
		rootSym; //ensures that /root/gtkrc-2.0 and /root/.icons/gk4ico exist
	QSvgRenderer *qsr;
	QFont dialF;
	QRect rect;
	QTableWidgetItem tableitem;
	QSettings *sett;

};
#endif




